@charset "utf-8";




.order-page-header-wrapper {
    display: flex;
    justify-content: space-between;
}

/* general blocks */
.order-wrapper {
    display: flex;
    justify-content: space-between;
}

.order-main-wrapper {
    width: 995px;
    background: #FFFFFF;

}
.order-right-wrapper {
    width: 312px;
}

/**/

.order-box-wrapper {
    width: 100%;
    margin-bottom: 20px;
    background: #F7F7F7;
    display: flex;
    flex-wrap: wrap;
}
.order-box-header {
    background: #ffffff;
    width: 100%;
    display: flex;
    align-items: center;
    padding: 15px 29px;
}
.order-customer .order-box-header {
    background: #D9D9D9;
}
.order-box-header-name,
.order-box-header-input {
    font-size: 14px;
    line-height: 17px;
    color: #414040;
    margin-right: 35px;
}
.order-box-header-name{
    font-weight: 700;
}
.order-box-header-input .label-radio:before {
    color: #D9D9D9;
    background: #D9D9D9;
    border: 3px solid #D9D9D9;
    outline: 1px solid #414040;
}
.order-customer .order-box-header-name::before {
    font-family: 'Font Awesome 6';
    content: '\f007';
    display: inline-block;
    width: 20px;
    height: 20px;
    font-weight: 500;
    font-size: 12px;
    line-height: 12px;
    color: #00B897;
    background-color: #414040;
    padding: 4px 4px 4px 5px;
    margin-right: 13px;
}
.order-box-header-link {
    width: 35%;
    text-align: right;
}
.order-box-header-link a {
    font-size: 14px;
    line-height: 17px;
    color: #00B897;
}
.order-box-header-link a:hover {
    border-bottom: 1px dotted #00B897;
    transition: 0.5s;
}

.order-copy-link {
    position: absolute;
    height: 40px;
    width: 40px;
    top: 0;
    right: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    transition: 0.5s;
}
.order-copy-link::after {
    font-family: 'Font Awesome 6';
    content: '\f0c5';
    font-weight: 400;
    font-size: 20px;
    line-height: 20px;
    color: #414040;
    cursor: pointer;
}

.order-copy-txt {
    opacity: 0;
    visibility: hidden;
    width: 200px;
    position: absolute;
    right: 40px;
    bottom: 45px;
    z-index: 5;
    padding: 15px;
    background: #FFFFFF;
    box-shadow: 0 4px 16px rgba(0, 0, 0, 0.16);
    border: none;
    border-radius: 20px 20px 0 20px;
    font-style: normal;
    font-weight: 300;
    font-size: 12px;
    line-height: 16px;
    color: #000000;
    transition: all 0s;
    white-space: normal;
}
.order-copy-link:hover::after  {
    font-weight: 900;
}

.form-field[name="users_company_vat_number"] {
    padding-right: 50px;
}
.form-field[name="users_company_vat_number"]:focus + .order-copy-txt,
.form-field[name="users_company_vat_number"]:hover + .order-copy-txt {
    opacity: 1;
    visibility: visible;
    transition: 0.5s;
}




.order-box {
    width: 100%;
    padding: 25px 29px;
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
}
.order-row-wrapper {
    width: 50%;
    padding-right: 25px;
}

.order-row-wrapper.firma {
    border-left: 1px solid #E7E7E7;
    padding-left: 25px;
    padding-right: 0;
}

.order-row-header {
    color: #2C2C2C;
    margin-bottom: 14px;
    font-size: 14px;
    line-height: 17px;
    text-transform: uppercase;
}

.order-delivery .order-box-header-name::before {
    font-family: 'Font Awesome 6';
    content: "\f3c5";
    display: inline-block;
    width: 20px;
    height: 20px;
    font-weight: 500;
    font-size: 12px;
    line-height: 12px;
    color: #00B897;
    background-color: #414040;
    padding: 4px 4px 4px 6px;
    margin-right: 13px;
}

.order-delivery  {}

.order-row-item {
    margin-bottom: 24px;
    width: 100%;
}

.order-row-item.required::before {
    position: absolute;
    z-index: 1;
    left: 9px;
    top: 5px;
    width: 10px;
    height: 10px;
    content: "*";
    font-size: 20px;
    font-weight: 600;
    color: #F7748B;
}

.order-row-item-wrapper .order-row-item:nth-child(2).required::before {
    left: 20px;
}


.order-row-item input {
    height: 40px;
    font-weight: 500;
    font-size: 14px;
    line-height: 17px;
    color: #414040;
    padding: 0 20px;
    background: #FFFFFF;
    width: 100%;
    border: 1px solid #ffffff;
}

.order-row-item input::placeholder {
    font-weight: 400;
    font-size: 14px;
    line-height: 17px;
    color: #414040;

}

.order-row-wrapper.account-link {
    font-size: 14px;
    line-height: 17px;
    color: #414040;
    padding: 65px;
}
.order-row-wrapper.account-link a{}

.order-row-wrapper.address {
    border-left: 1px solid #E7E7E7;
    padding-left: 25px;
    padding-right: 0;
}

.order-box-input {
    background: #FFFFFF;
    border: 1px solid #ffffff;
    padding: 7px 24px;
    margin-bottom: 17px;
    transition: 0.5s;
}
.order-box-input.checked,
.order-box-input:hover {
    border: 1px solid #00B897;
    transition: 0.5s;
}

.order-box-input .label-radio:before {
    outline: 1px solid #414040;
}

.order-box-input .order-box-input-img {
    width: 45px;
}

.order-box-input .order-box-input-note,
.order-box-input .order-box-input-label {
    font-size: 12px;
    line-height: 15px;
    color: #414040;
    width: 290px;
}

.order-box-input .order-box-input-note.free-shipping {
    color: #F7748B;
}
.order-box-input .label-radio {
    justify-content: space-between;

}
.order-box-input input:checked + .label-radio:before,
.order-box-input .label-radio:before {
    order: 1;
    margin-right: 0;
}

.order-box-address {
    display: flex;
    justify-content: start;
    margin-bottom: 22px;
}

.order-box-address-img {
    width: 90px;
}
.order-box-address-img img {
    width: 100%;
    border-radius: 4px;
}
.order-box-address-txt {
    padding: 0 0 0 21px;
}

.order-box-address-txt-address {}
.order-box-address-txt-time {
    color: #989898;
}
.order-box-address-txt-phone,
.order-box-address-txt-phone a{}
.order-box-map {
    margin-bottom: 24px;
    border: 1px solid #E7E7E7;
    border-radius: 4px;
    width: 100%;
}
.order-box-map iframe {
    width: 100%;
}


/* block pakomats*/

.order-box-content-pakomat-wrapper {
    width: 920px;
    background: #ffffff;
    display: none;
    box-shadow: 0 0 25px rgb(0 0 0 / 16%);

    position: fixed;
    top: 55px;
    left: 50%;
    margin-left: -460px;
}

.order-box-content-pakomat-header {
    background: #ffffff;
    border-bottom: 1px solid #000000;
    padding: 15px 70px;
    color: #414040;
}
.order-box-content-pakomat-header-inner {
    display: flex;
    align-items: center;
}
.order-box-content-pakomat-header .pakomat-header-text {
    font-size: 12px;
    font-weight: 700;
    line-height: 15px;
    letter-spacing: 0.3em;
    color: #414040;
    text-transform: uppercase;
    margin-left: 15px;
}
.order-box-content-pakomat-header span {
    font-size: 14px;
    line-height: 17px;
}

.order-box-content-pakomat-close {
    position: absolute;
    right: 10px;
    width: 40px;
    height: 80%;
    text-align: center;
}
.order-box-content-pakomat-close::after {
    font-family: 'Font Awesome 6';
    content: "\f00d";
    font-style: normal;
    font-weight: 300;
    font-size: 30px;
    line-height: 30px;
    color: #7E7E7E;
}

.order-box-content-pakomat {}

.order-box-content-pakomat-city {
    display: flex;
    justify-content: space-between;
    background: #F5F5F5;
    padding: 10px 70px;

}

.order-box-content-pakomat-postindex {

}

.order-box-content-pakomat-wrapper input,
.order-box-content-pakomat-city .nice-select {
    background: #FFFFFF;
    border: 1px solid #ffffff;
    height: 40px;
    padding: 0 20px;
    width: 400px;
    display: flex;
    align-items: center;
    font-size: 12px;
    line-height: 15px;
    font-weight: 600;
}
.order-box-content-pakomat-city .nice-select .current {
    font-weight: 600;
    text-transform: uppercase;
    font-size: 12px;
    line-height: 15px;
    letter-spacing: 0.1em;
}
.order-box-content-pakomat-link {
    width: 202px;
    display: flex;
    align-items: center;
}
.order-box-content-pakomat-list {
    width: 100%;

}
.order-box-content-pakomat-list-inner {
    height: 400px;
    overflow-x: auto;

}
.pakomat-list-header-row,
.pakomat-list-content-row {
    display: flex;
    align-items: center;
}
.pakomat-list-content-row {
    padding: 10px 70px;
    font-size: 12px;
    line-height: 15px;
    color: #000000;
    border-bottom: 1px solid #F9F9F9;
}

.pakomat-list-content-row:hover {
    background: #F9F9F9;

}

.pakomat-list-header-row {
    background: #F5F5F5;
    padding: 0 70px 10px;
    height: 46px;
    font-size: 12px;
    line-height: 15px;
    color: #414040;
}


.pakomat-header-address,
.pakomat-list-address {
    width: 400px;
    flex-shrink: 0;
}

.pakomat-header-company,
.pakomat-list-company{
    width: 160px;
    flex-shrink: 0;
    text-align: center;
    margin: 0 5px 0 10px;
}

.pakomat-header-company .nice-select {
    white-space: normal;
    background: #FFFFFF;
    border: 1px solid #ffffff;
    height: 40px;
    padding: 0 20px;
    width: 160px;
    display: flex;
    align-items: center;
    font-size: 12px;
    line-height: 15px;
    font-weight: 600;
}


.pakomat-header-company .nice-select .option {
    min-height: 15px;
    line-height: 15px;
    padding: 10px;
}


.pakomat-list-company img {
    height: 30px;
    margin-left: 5px;
    font-size: 8px;
}
.pakomat-header-price,
.pakomat-list-price{
    width: 100px;
    flex-shrink: 0;
    margin: 0 5px;
    text-align: center;
}
.pakomat-header-price{
    background: #ffffff;
    font-weight: 600;
    height: 40px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.pakomat-list-button a {
    padding: 5px 16px;
    background: #ffffff;
    border: 1px solid #00B897;
    border-radius: 30px;
    font-size: 14px;
    font-weight: 700;
    line-height: 42px;
    text-align: center;
    color: #00B897;
}
.pakomat-list-button a:hover,
.selected .pakomat-list-button a {
    color: #FFFFFF;
    background: #00B897;
}







.order-box-content {
display: flex;
flex-direction: column;
}

.order-row-item-wrapper {
display: flex;
justify-content: space-between;
}
.order-row-item-wrapper input {
width: 95%;
}
.order-row-item-wrapper .order-row-item:nth-last-child(1) {
text-align: right;
}
.order-row-item-note {
font-style: normal;
font-weight: 300;
font-size: 13px;
line-height: 21px;
color: #919191;
}
.order-row-item .nice-select {
    background: #FFFFFF;
    width: 100%;
}
.order-row-item .nice-select .current {
    font-weight: 500;
    font-size: 14px;
    line-height: 17px;
    color: #414040;
}
.order-row-item .nice-select.open .list {
width: auto;
min-width: 100%;
}

.order-payments .order-box-header-name::before {
    font-family: 'Font Awesome 6';
    content: "\f09d";
    display: inline-block;
    width: 20px;
    height: 20px;
    font-weight: 500;
    font-size: 12px;
    line-height: 12px;
    color: #00B897;
    background-color: #414040;
    padding: 4px 4px 4px 4px;
    margin-right: 13px;
}

.order-payments-row-wrapper {
display: flex;
flex-wrap: wrap;
justify-content: start;
flex-basis: 100%;
border-bottom: 1px solid #E7E7E7;
margin-bottom: 24px;
}
.order-payments-row-wrapper .order-row-header {
width: 100%;
}

.order-payments-row-wrapper .order-row-item {
    width: 31.33%;
    margin: 0 1% 20px;
    padding: 7px 15px;
    background: #ffffff;
    border: 1px solid #ffffff;
    transition: 0.5s;
}
.order-payments-row-wrapper .order-row-item.checked,
.order-payments-row-wrapper .order-row-item:hover {
    border: 1px solid #00B897;
    transition: 0.5s;
}

.order-payments-row-wrapper .order-box-input-img {
    width: 34px;
    height: 34px;
    overflow: hidden;
    flex-shrink: 0;
    display: flex;
    justify-content: center;
    align-items: center;
}
.order-payments-row-wrapper .order-box-input-img img {
    width: 100%;
    height: auto;
    font-size: 8px;
}



.order-payments-row-wrapper .order-box-input-label {
    font-size: 12px;
    line-height: 15px;
    color: #414040;
    flex-grow: 1;
    padding-left: 20px;

}
.order-payments-row-wrapper .label-radio{}

.order-payments-row-wrapper input + .label-radio:before,
.order-payments-row-wrapper input:checked + .label-radio:before {
    order: 1;
    margin-right: 0;
    display: none;
}

.order-bank-row-wrapper {
    display: flex;
    flex-wrap: wrap;
    justify-content: start;
    flex-basis: 100%;
}
.order-bank-row-wrapper .order-row-header {
    width: 100%;
}

.order-bank-row-wrapper .order-box-input {
    width: 18%;
    margin: 0 1%;
    border: 2px solid #ffffff;
    transition: 0.5s;
    padding: 0;
}

.order-bank-row-wrapper img.order-box-input-img {
    width: 100%;
    height: auto;
}

.order-bank-row-wrapper .label-radio:before {
    z-index: -10;
    position: absolute;
}

.order-bank-row-wrapper .order-box-input.checked,
.order-bank-row-wrapper .order-box-input:hover {
    border: 2px solid #00B897;
    transition: 0.5s;
}

.order-leasing-wrapper {
    margin-top: 30px;
}

.order-leasing-row-wrapper {
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}

.order-leasing-wrapper .order-row-header-wrapper {
    width: 100%;
}

.order-row-item.orders-users-politic {
    height: 57px;
}

.order-row-item.check-box::before {
    left: 35px;
    top: 8px;
}

.order-leasing-bottom-wrapper {
    width: 50%;
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    justify-content: space-between;

}
.order-leasing-bottom-col {
    width: 100%;
    padding-right: 25px;
    margin-bottom: 24px;
}

.order-confirm .order-box-header-name::before {
    font-family: 'Font Awesome 6';
    content: "\f74c";
    display: inline-block;
    width: 20px;
    height: 20px;
    font-weight: 500;
    font-size: 12px;
    line-height: 12px;
    color: #00B897;
    background-color: #414040;
    padding: 4px 4px 4px 4px;
    margin-right: 13px;
}

.final-box .order-row-item {
    width: 100%;
}
.final-box textarea {
    width: 100%;
    background: #FFFFFF;
    border: 1px solid #ffffff;
}

.final-box .order-row-item.check-box-block {
    background-color: #ffffff;
    padding: 10px;
    font-size: 12px;
    line-height: 15px;
    height: 50px;
    display: flex;
    align-items: center;
}
.final-box .order-row-item.check-box-block .label-check:before {
    outline: 1px solid #414040;
    margin-right: 20px;
}


.final-box .order-confirm-links {
    display: flex;
    padding: 0;
}
.final-box .order-confirm-links a {
    font-size: 12px;
    line-height: 15px;
    color: #414040;
    margin-right: 20px;
    padding: 7px 15px;
    background-color: #ffffff;
    border: 1px solid #00B897;
    border-radius: 30px;
    white-space: nowrap;
}
.final-box .order-confirm-links a:hover {
    opacity: 0.9;
}

.order-confirm-footer {
    display: flex;
    justify-content: space-between;
    width: 100%;
}

.order-confirm-footer .message-wrapper {
    width: 50%;
}

.order-button-wrapper {
    width: 375px;
}

.order-checkout-button {
    background-color: #F7748B;
    font-size: 16px;
    font-weight: 700;
    line-height: 48px;
    letter-spacing: 0.3em;
    text-align: center;
    text-transform: uppercase;
    color: #FFFFFF;
    border-radius: 38px;
    padding: 0 20px;
    display: flex;
    justify-content: center;
    align-items: center;
    white-space: nowrap;
    width: 375px;
    height: 48px;
}

.order-checkout-button:hover {
    color: #ffffff;
}
.order-confirm-footer .massage-box,
.order-confirm-footer .massage-box.message-error-box {
    background-color: transparent;
    margin: 0;
}




.order-row-header > .copy {
font-size: 14px;
}

.order-confirm {
width: 100%;
}

.nice-select.form-field {
border: 2px solid #efefef;
padding: 7px;
color: #222;
width: 70%;
}



/* right sidebar*/
.order-right-block {
    background: #FFFFFF;
    border: 1px solid #ECECEC;
    max-height: 90vh;
    overflow-y: auto;
    overflow-x: hidden;

}

.order-right-block.stick {
    position: fixed;
    z-index: 10;
    top: 55px;
    padding-bottom: 2px;
    width: inherit;
}

.order-right-block-header {
    background: #D9D9D9;
    padding: 14px 25px;
    color: #414040;
    font-size: 14px;
    line-height: 17px;
    text-align: center;


}
.order-right-block-info {
    padding: 25px;
    height: auto;
    background: #F7F7F7;
}

.order-right-block-info-row-wrapper {
    width: 100%;
    display: flex;
    padding: 10px 0;
    align-content: center;
    justify-content: space-between;
    margin-bottom: 0;
}

.order-right-block-info-row-item {
    width: 60%;
    font-size: 12px;
    line-height: 15px;
    color: #414040;
}
.order-right-block-info-row-item + .order-right-block-info-row-item {
    width: 40%;
    font-size: 12px;
    font-weight: 700;
    line-height: 15px;
    color: #00B897;
}

.order-right-block-economy .order-right-block-info-row-item + .order-right-block-info-row-item  {
    background-color: #ffffff;
    padding: 2px 3px;
}


.order-right-block-total {
    border-top: 5px solid #ffffff;
    margin-top: 10px;
    padding-top: 20px;
}
.order-right-block-total .order-right-block-info-row-item  {
    font-weight: 700;
    text-transform: uppercase;

}
